Bug 191648 - [Curl] Add API for ProtectionSpace.
Summary: [Curl] Add API for ProtectionSpace.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Basuke Suzuki
URL:
Keywords: InRadar
Depends on:
Blocks: 191646
  Show dependency treegraph
 
Reported: 2018-11-14 12:42 PST by Basuke Suzuki
Modified: 2018-11-30 11:22 PST (History)
7 users (show)

See Also:


Attachments
Patch (14.34 KB, patch)
2018-11-29 13:29 PST, Basuke Suzuki
achristensen: review+
Details | Formatted Diff | Diff
PATCH (14.34 KB, patch)
2018-11-30 10:31 PST, Basuke Suzuki
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Basuke Suzuki 2018-11-14 12:42:11 PST
It will be used in Server Trust Evaluation UI.
Comment 1 Basuke Suzuki 2018-11-29 13:29:53 PST
Created attachment 356046 [details]
Patch
Comment 2 Alex Christensen 2018-11-29 14:25:14 PST
Comment on attachment 356046 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=356046&action=review

> Source/WebCore/platform/network/curl/ProtectionSpaceCurl.cpp:30
> +

extra space
Comment 3 Basuke Suzuki 2018-11-30 10:31:04 PST
Created attachment 356195 [details]
PATCH

Thanks Alex.
Comment 4 WebKit Commit Bot 2018-11-30 11:20:37 PST
The commit-queue encountered the following flaky tests while processing attachment 356195 [details]:

workers/bomb.html bug 171985 (author: fpizlo@apple.com)
webgl/2.0.0/conformance/more/conformance/quickCheckAPI-B4.html bug 192235 (author: justin_fan@apple.com)
The commit-queue is continuing to process your patch.
Comment 5 WebKit Commit Bot 2018-11-30 11:21:37 PST
Comment on attachment 356195 [details]
PATCH

Clearing flags on attachment: 356195

Committed r238744: <https://trac.webkit.org/changeset/238744>
Comment 6 WebKit Commit Bot 2018-11-30 11:21:38 PST
All reviewed patches have been landed.  Closing bug.
Comment 7 Radar WebKit Bug Importer 2018-11-30 11:22:29 PST
<rdar://problem/46378789>